/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on con/figuring this project to bundle and minify static web assets. */

html {
    font-size: 14px;
    position: relative;
    min-height: 100%;
    overflow-y:hidden;
}

body {
    font-family: 'メイリオ', 'Meiryo', sans-serif;
    height: 100%;
    color: black;
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

.main-wrapper {
    margin-left: 250px;
}

/* Navigation (Menu)
---------------------------------------------------*/
a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
    padding-top: .125rem;
    padding-bottom: .125rem;
}

.navbar .dropdown-username {
    /*display: block;*/
    width: 100%;
    padding: .25rem 1rem;
    clear: both;
    font-weight: 400;
    color: #212529;
    text-align: inherit;
    text-decoration: none;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
}

.nav-global-menu {
    overflow: hidden;
}

ul.global-menu {
    list-style: none;
    border-bottom: 1px solid #dee2e6;
    border-top: 2px solid #027ac6;
    border-bottom: 2px solid #027ac6;
    background-color: #f8f9fa;
}

    ul.global-menu li:last-child {
        border-right: 1px solid #dee2e6;
    }

.global-menu-item {
    display: block;
    padding: .6rem 1rem;
    border-left: 1px solid #dee2e6;
    text-decoration: none;
    color: #212529;
    /*text-align: center;*/
    min-width: 120px;
}

    .global-menu-item.active {
        color: #fff;
        background-color: #027ac6;
    }

.global-menu-item-last {
    display: block;
    padding: .6rem 1rem;
    border-left: 1px solid #dee2e6;
    text-decoration: none;
    color: #f8f9fa;
    /*text-align: center;*/
    min-width: 200px;
    height:100%;
}

.menu-icon {
    margin-right: 4px;
}

/* Content
-------------------------------------------------- */
.content {
    height: calc(100vh - 41px);
}

.content-title {
    font-size: 18px;
    padding: 6px 4px 6px 12px;
    background-color: #006699;
    color: #fff;
    margin-left: -15px;
    margin-right: -15px;
    margin-top: 0px;
}

/* Sidebar
-------------------------------------------------- */
.page {
    position: relative;
    /*font-size: 0.85rem;*/
    font-size: 1rem;
}

    .page .sidebar {
        position: absolute;
        left: 0;
        top: 0;
        width: 220px;
    }

    .page .sidebar2 {
        position: absolute;
        left: 0;
        top: 0;
        width: 260px;
    }

    .page .sidebar-s {
        position: absolute;
        left: 0;
        top: 0;
        width: 260px;
    }

.page-main {
    margin-left: 220px;
    padding-left: 15px;
}

.page-main2 {
    margin-left: 260px;
    padding-left: 15px;
}

.page-main3 {
    padding-left: 0px;
}

.page-main-s {
    margin-left: 260px;
    padding-left: 15px;
}

.categories {
}

.category-item {
    display: block;
    padding: 0.5rem 1rem;
    color: #212529;
    text-decoration: none;
}

    .category-item.active {
        background-color: #027ac6;
        color: #fff;
    }

.category-item > .count {
    font-weight: bold;
}

/*.sidebar-wrapper {
    width: 250px;
    height: 100%;
    position: fixed;
    background-color: #fff;
    border-right: 1px solid #dee2e6 !important;
    padding: 0.5rem;
}
*/
/*.sidebar-heading {
    font-size: 1.75rem;
    padding: 0.5rem 0.5rem;
}
*/
/*.sidebar-heading a {
    color: inherit;
}
*/
/*.menu-level-1 {
    padding-left: 16px;
}

.menu-level-2 {
    padding-left: 4px;
}

.menu-item:hover {
    background-color: rgba(0, 0, 0, .05)
}

.menu-item-category {
    cursor: pointer;
    margin-bottom: 0;
}

.menu-item-category-closed {
    display: none;
}

.menu-item-link {
    display: inline-block;
    padding-left: 16px;
    width: 100%;
}

.menu-tree-first {
    position: absolute;
    top: 0px;
    height: 16px;
    width: 16px;
    display: inline-block;
    margin: 0px;
    padding-top: 8px;
    padding-left: 16px;
    background: url(../img/32px.png) -78px -8px no-repeat;
}

.menu-tree {
    position: absolute;
    top: -8px;
    height: 32px;
    width: 16px;
    display: inline-block;
    margin: 0px;
    padding-top: 8px;
    padding-left: 16px;
    background: url("../img/32px.png") -78px 0px no-repeat;
}
*/
/* パネル
-------------------------------------------------- */
.button-group .btn {
    margin-right: 15px;
}

.panel {
    border-radius: 1px;
    margin-bottom: 20px;
    background-color: #fff;
    border: 1px solid transparent;
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

.panel-heading {
    padding: 6px 15px;
    border-radius: 1px;
}

.panel-body {
    max-height: 100%;
    padding: 10px;
}

.panel-default {
    border-color: #ddd;
}

.panel-default > .panel-heading {
    color: #fff;
    background-color: #0074a6;
}

.panel-title {
    font-size: 14px;
}

.panel-footer {
    background-color: #fff;
}

/* Table
-------------------------------------------------- */
.table-fixed {
    table-layout: fixed;
    word-wrap: break-word;
}

.fixed-header-table th {
    //position: relative;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    /* tbody内のセルより手前に表示する */
    z-index: 1;
}

.table-list {
    table-layout: fixed;
    overflow: auto;
}
.table-list > .table tr th,
.table-list > .table tr td {
    white-space: nowrap !important;
}
.table-list > .table tbody tr td {
    margin: 0px;
    padding:2px;
}

.table-compact {
    margin-bottom: 5px;
}
.table-compact > thead > tr > th {
    padding: 4px 2px 2px 2px;
    vertical-align: middle;
    border: 1px solid #d0d0d0;
}
.table-compact > tbody > tr > td {
    padding: 1px 2px;
    vertical-align: middle;
    border: 1px solid #d0d0d0;
}
/*.table-compact > tr > th,
.table-compact > tr > td {
    padding: 1px 2px;
    vertical-align: middle;
}
*//*.table-compact .form-control {
    padding: 1px 2px;
    height: 24px;
}
*/
/*
    フォーム用テーブル
*/
table.table-form-compact {
    border-spacing: 0px 12px;
    margin-bottom: 10px;
    border: 1px solid #d0d0d0;
}

.table-form-compact th {
    height: 20px !important;
}

.table-form-compact > tbody > tr > th {
    background-color: #dee2e6;
    border: 1px solid white;
    padding: 5px 6px 5px 3px !important;
    vertical-align: middle !important;
    border: 1px solid #aaa;
}

.table-form-compact > tbody > tr > td {
    border: 1px solid #d0d0d0;
    padding: 5px !important;
    vertical-align: middle !important;
}

.table-form-compact tbody > tr > th > label {
    text-align: right !important;
    padding-right: 3px;
    display: block;
}

.table-form-compact > tbody > tr > td {
    color: #000066;
}

/*.table-form-compact .form-control {
    padding: 1px 2px;
    height: 28px !important;
    border: 1px solid #aaa; 
}
*/
.table-form-compact label {
    margin-bottom: 0;
}


/* Table Sort
-------------------------------------------------- */
.sortable-column {
    line-height: 1.2;
}

.btn-sort {
    color: #c0c0c0 !important;
    font-size: 1.2rem;
    line-height: 1.2rem;
    display: inline-block;
    width: 20px;
    margin: 0 3px !important;
}

.btn-sort:hover {
    text-decoration: none;
}

.btn-sort-active {
    color: #007bff !important;
}

/* button
-------------------------------------------------- */
.btn {
    border-width: 1px;
    -webkit-box-shadow: 1px 1px 1px 0px rgba(0, 0, 0, .1);
    box-shadow: 1px 1px 1px 1px rgba(0, 0, 0, .1);
}

.btn-sm, .btn-group-sm > .btn {
    padding: 5px 10px;
    margin: 0px 0px 10px 0px;
}

.btn-light {
    margin-left: 10px;
}

.btn-xs {
    padding: 0.20rem 0.6rem;
    margin-left: 0;
}

.btn-action {
    margin-right: 10px;
    margin-top: 5px;
    margin-bottom: 10px;
}

.datepicker-div {
    margin-left: -5px;
}

.btn-datepicker, .btn-combo {
    margin: 0 !important;
    padding: 0 0.5rem !important;
    height:100%;
}

.btn-head {
    margin-top: -2px;
    margin-bottom: -2px
}

.btn-file-select {
    margin: 2px;
    color: #212529;
    background-color: #f8f9fa;
    border-color: #f8f9fa;
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
    border-radius: 0.2rem
}

.btn-file-remove {
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
    border-radius: 0.2rem
}


/* form-control
-------------------------------------------------- */
/*.form-control.sm {
    padding: 3px;
    margin-right: 5px;
    height: 24px !important;
}

.form-control.textarea {
    height: 100% !important;
    width: 100%;
}*/

.form-control.sm {
    width: 140px;
}

.form-control.inline {
    display: inline;
    width: 140px;
}

/* Function Button Area
-------------------------------------------------- */
.function-btns {
    margin: 0px;
    padding: 0px;
}

/* Search Condition Area
-------------------------------------------------- */
.list-sc {
    margin-top: -5px;
    margin-right: 5px;
}
label.list-sc {
    font-weight: bold;
}
div.form-sc {
    margin: 10px 0px 0px 0px;
}

/* Header Form Area
-------------------------------------------------- */
div.form-hd {
    margin: 0px 0px 0px 0px;
}

/* Pagenation
-------------------------------------------------- */
.pagination-container {
    margin-bottom: -10px;
}

/* Form
-------------------------------------------------- */
.input-error-alert {
    padding: .5rem 1rem;
    width: 500px;
}

.input-validation-error,
.input-validation-error:focus {
    background-color: #fff5f5 !important;
    border: 1px solid #dc3545 !important;
}

.input-validation-error-message {
    font-size: 1rem;
    font-weight: bold;
    color: #dc3545;
    background-color: #ffe5ff
}

.required {
    line-height: 1;
    color: #dc3545;
}

    .required:after {
        font-size: 1rem;
        content: "*";
        font-weight: bold;
    }

.ime-active {
    ime-mode: active;
    -ms-ime-mode: active;
}

.ime-disabled {
    ime-mode: disabled;
    -ms-ime-mode: disabled;
}

.is-dragover {
    border: 1px dashed #333 !important;
    background-color: #4285f4 !important;
    color: #fff;
}

.date {
    width: 130px !important;
    ime-mode: disabled;
}

    .date input[type=text] {
        ime-mode: disabled;
    }

.row {
    margin-bottom: 8px;
}

/*
    ファイルD&D
*/
.file-drop-zone,
table.table-form th.file-drop-zone {
    background-color: #dcedc8;
    border: 1px solid #cfd3d7;
    font-weight: bold;
    font-size: 0.95rem;
}
.file-drop-zone-dragover {
    background-color: darkorange !important;
}

.file-input-row .file-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

.file-list-item {
    display: flex;
    padding: 2px 1px;
}

.file-list-item-name {
    flex-grow: 1;
    overflow: hidden;
    padding: 2px 3px;
}

.file-list-item-delete {
    flex-grow: 0;
}

    .file-list-item-delete {
        line-height: 18px;
    }

/*
    jqGrid
*/
.ui-jqgrid .ui-jqgrid-titlebar,
.ui-jqdialog .ui-jqdialog-titlebar,
.fm-button {
    height: 30px;
}

/*
    編集画面
*/
.hed {
    background-color: #006699;
    color: white;
    line-height: 2.0;
    text-align: right !important;
}

.text-break-word {
    word-wrap: break-word;
    overflow-wrap: break-word;
}

#loading {
    display: table;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #fff;
    opacity: 0.8;
}

    #loading .loadingMsg {
        display: table-cell;
        text-align: center;
        vertical-align: middle;
        padding-top: 140px;
        background: url("../img/loading.gif") center center no-repeat;
    }

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* チェックボックスのサイズ変更*/
input[type="checkbox"] {
    margin: 0px 5px;
    transform: scale(1.8);
}

/* hr マージン調整*/
hr {
    margin-top:2px;
}

/* テーブルタイトルのラベル */
.table-label {
    margin: 5px 0px;
    font-weight: bold;
    font-size: 14px;
}

/* Img */
.img-show {
    width: 150px;
    height: auto;
    border: 1px solid silver;
    margin: 5px;
    vertical-align: top;
}

/* Modal
-------------------------------------------------- */
.modal .content-title {
    margin: 0;
    padding: 1rem 1rem;
}

.modal .content-title .close {
    //color: #fff;
    opacity: 1;
}
